Package Details: nqp 2016.09-1

Git Clone URL: https://aur.archlinux.org/nqp.git (read-only)
Package Base: nqp
Description: High-level environment to create compilers and libraries for virtual machines (MoarVM backend)
Upstream URL: https://github.com/perl6/nqp#readme
Licenses: PerlArtistic
Conflicts: nqp-moarvm
Provides: nqp-moarvm
Replaces: nqp-moarvm
Submitter: sirmacik
Maintainer: spider-mario
Last Packager: spider-mario
Votes: 19
Popularity: 0.332253
First Submitted: 2011-10-02 10:37
Last Updated: 2016-09-25 15:33

Dependencies (3)

Required by (2)

Sources (1)

Latest Comments

nbd commented on 2015-03-17 21:37

I'm getting the following error when building this package:

----------------------------------------------------------------

In file included from dyncall_callvm.c:30:0:
dyncall_callvm_x86.c:199:6: error: no previous prototype for ‘dc_callvm_call_x86_cdecl’ [-Werror=missing-prototypes]
void dc_callvm_call_x86_cdecl(DCCallVM* in_self, DCpointer target)
^
dyncall_callvm_x86.c:244:6: error: no previous prototype for ‘dc_callvm_call_x86_win32_std’ [-Werror=missing-prototypes]
void dc_callvm_call_x86_win32_std(DCCallVM* in_self, DCpointer target)
^
dyncall_callvm_x86.c:498:6: error: no previous prototype for ‘dc_callvm_call_x86_win32_this_ms’ [-Werror=missing-prototypes]
void dc_callvm_call_x86_win32_this_ms(DCCallVM* in_self, DCpointer target)
^
dyncall_callvm_x86.c:538:6: error: no previous prototype for ‘dc_callvm_call_x86_sys_int80h_linux’ [-Werror=missing-prototypes]
void dc_callvm_call_x86_sys_int80h_linux(DCCallVM* in_self, DCpointer target)
^
dyncall_callvm_x86.c:544:6: error: no previous prototype for ‘dc_callvm_call_x86_sys_int80h_bsd’ [-Werror=missing-prototypes]
void dc_callvm_call_x86_sys_int80h_bsd(DCCallVM* in_self, DCpointer target)
^
cc1: some warnings being treated as errors

-----------------------------------------------------------

Is there a way to correct them?

Thanks.

spider-mario commented on 2013-03-14 19:23

Oh, great. Thanks. :)

Anonymous comment on 2013-03-14 19:22

Sorry, spider-mario, apparently there is an issue in parrot. Gtmanfred is implementing an update on it.

spider-mario commented on 2013-03-14 19:21

I think I have fixed the problem (with a little dirty hack that I hope won’t stay necessary for too long). Could you please try again and see if it works?

spider-mario commented on 2012-11-29 22:26

It does!

Updated to 2012.11. :)

spider-mario commented on 2012-11-28 20:50

It seems that building fails on Parrot 4.9.0, at least on my machine where it causes a segmentation fault. I’ll try again later with a newer Parrot and upgrade the package if it works.

sirmacik commented on 2011-10-02 10:39

It's not yet as good as I want it to be, but it does what it should. Now I'm workin' on rakudo package, then I'll get back here.